Bug 794632 - Python 2.6 installation is not 64 bit clean
Summary: Python 2.6 installation is not 64 bit clean
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Petr Viktorin
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-17 06:39 UTC by Chris Hoge
Modified: 2016-04-29 09:44 UTC (History)
5 users (show)

Fixed In Version: python-2.6.6-55.el6
Doc Type: Bug Fix
Doc Text:
Cause: fileobject.c uses a 32 bit value for INT_MAX (2147483647) Consequence: Iteration over files bigger than 2147483647B fails with Exception Fix: Use Py_ssize_t value which has the same size as the compiler's size_t type instead of int value Result: It's possible to iteratete over big files (<(2^64/2)B)
Clone Of:
: 1271760 1329141 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:39:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Backported patch (2.60 KB, patch)
2015-01-08 12:50 UTC, Petr Viktorin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1330 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2015-07-20 18:00:12 UTC

Description Chris Hoge 2012-02-17 06:39:12 UTC
Description of problem:
Use of a python file iterator on sys.stdin with large files (> 2GB) results in an assertion.
python: Objects/fileobject.c:2117: readahead_get_line_skip: Assertion `skip+len < 2147483647' failed.

Version-Release number of selected component (if applicable):
Python x86_64 2.6.6 29.el6

How reproducible:
Bug was found working from Openstack Glance source tree.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
fileobject.c uses a 32 bit value for INT_MAX (2147483647) rather than a 64 bit value.

Comment 3 RHEL Program Management 2012-12-14 08:38:47 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 Petr Viktorin 2015-01-08 12:49:48 UTC
Upstream issue: http://bugs.python.org/issue22526
Fix for 2.7: https://hg.python.org/cpython/rev/beadb3e1dc81

Comment 5 Petr Viktorin 2015-01-08 12:50:52 UTC
Created attachment 977785 [details]
Backported patch

Comment 9 errata-xmlrpc 2015-07-22 06:39:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1330.html


Note You need to log in before you can comment on or make changes to this bug.